org.eclipse.emf.cdo.spi.server

## Interface IAppExtension2

- All Superinterfaces:
    IAppExtension

      public interface IAppExtension2
      extends IAppExtension

  An optional extension of the `IAppExtension` interface for app extensions that support invocation on the XML configurations of dynamically-managed repositories. These may be instantiated multiple times, will only be given repository configurations (not Net4j acceptors etc.) and are stopped if and when their associated repositories are deleted.
  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

      `EXT_POINT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `startDynamic(java.io.Reader xmlConfigReader)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

      `start, stop`

- - ### Method Detail

    - #### startDynamic

          void startDynamic(java.io.Reader xmlConfigReader)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html